%define upstream_name    Math-RNG-Microsoft
%define upstream_version 0.0.3

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A pseudo-random number generator compatible
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(integer)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Differences)
BuildArch: noarch

%description
This is a random number generator used by the Games::ABC_Path::Generator
manpage, which emulates the one found in Microsoft's Visual C++. It was
utilised here, out of familiarity and accessibility, because it is commonly
used to generate Freecell layouts in the Freecell world (see the
http://en.wikipedia.org/wiki/FreeCell_%28Windows%29 manpage ).

*NOTE:* This is not a cryptologically secure random number generator, nor
is it a particularly good one, so its use is discouraged unless
compatibility with the Windows C Run-time-library is needed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.0.3-3.mga6
+ Revision: 1029788
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.0.3-2.mga6
+ Revision: 950150
- Mageia 6 Mass Rebuild

* Fri Oct 24 2014 shlomif <shlomif> 0.0.3-1.mga5
+ Revision: 792937
- New ver 0.0.3
- imported package perl-Math-RNG-Microsoft


* Thu Oct 23 2014 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
